| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]

# Method m_delete()

Method m_delete

  `mixed m_delete(object|mapping map, mixed index)`

Description

  If map is an object that implements lfun::_m_delete() , that function will be called with index as its single argument.

  Otherwise if map is a mapping the entry with index index will be removed from map destructively.

  If the mapping does not have an entry with index index , nothing is done.

Returns

  The value that was removed will be returned.

Note

  Note that m_delete() changes map destructively.

See also

  mappingp()